﻿/*  BBWin Gui version 2.0
    Copyright 2012 by Craig Kergald, and Shannon Anderson
    bbwingui@kergald.net
    Any changes to this software should include this header
 
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication2
{
    public partial class Add_Disk : Form
    {
        public Add_Disk()
        {
            InitializeComponent();
        }

        private void Add_Disk_Load(object sender, EventArgs e)
        {
        }
        public string list_disks()
        {
            checkBox1.CheckState = CheckState.Unchecked;
            disk_list.Items.Clear();
            System.IO.DriveInfo[] drivelist = drivelist = System.IO.DriveInfo.GetDrives();
            foreach(System.IO.DriveInfo drive in drivelist)
            {
                if (drive.DriveType == System.IO.DriveType.Fixed)
                {
                    disk_list.Items.Add(drive.ToString());
                }
            }
            while (checkBox1.CheckState == CheckState.Unchecked)
            {
                Application.DoEvents();
                this.Refresh();
            }
            return disk_list.Text;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (disk_list.Text != "") { checkBox1.CheckState = CheckState.Checked; }
        }
    }
}
